Subject: bug#13141: please review bug #13141

From: Alan Mackenzie <[email-masked]>
Date: Sun, 20 Jan 2013 10:50:03 +0000

Good Morning, Drew!

On Sat, Jan 19, 2013 at 03:59:45PM -0800, Drew Adams wrote:
> > > The patch is straightforward.  Please reconsider it.
> > > Why not let users set the behavior they want for this?

> > I have to side with Glenn here.  We need to make Bug 
> > reporters' jobs as simple as possible.

> Why not give the individual bug reporters a say in what they think is simple?
> Your idea of making their life easier might not be their idea.

My model of bug reporter, right now, is somebody considering submitting
their very first Emacs bug report

> Why does giving other users a choice bother you?
> The default behavior would be the same as now.

I've not seen the patch, but it is surely either a set of configuration
settings or a sequence of questions to be answered each time a new bug
report is done.  The former doesn't seem useful, since the useful info to
include will vary by bug report, not by bug submitter.  The latter would
be a burden on the bug reporter, and surely could come to be an
annoyance.

> > Sadly, there is a tendency for things which one _can_
> > configure to become things that one _must_ configure -

> I don't recognize any such tendency.  Give one example.

Er, CC Mode.

> > we know all about this in Emacs

> Well I don't know about it.  I've never seen the addition of a user option, with
> no change to the default behavior, require any user to configure that option.

That's a narrower case than I meant, I was talking more generally.  We
all have .emacses and I should think they are mostly biggish files.  I
would think there are few Emacs users without .emacses, if for nothing
more than customize-* settings.

> That's logically impossible.

> If you do nothing then there is no change in behavior.  If you are unaware of
> the option then your life is as simple as before.  If you are aware of it and IF
> you want to take advantage of it, then you might even make life simpler for
> yourself than before - but that's your choice.

> > - which would be most unfriendly for novice bug reporters.

> What would?  Giving a choice to any user who wants it?

To give somebody a choice is to inflict responsibility on her for
choosing.

> > Let's keep this as simple as possible.

> Let's give _users_ the choice.  Let's let them decide what is "as simple as
> possible" for themselves, individually.

I don't think users having this choice would be helpful.

> > > http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13141#43

-- 
Alan Mackenzie (Nuremberg, Germany).